Opened 9 years ago

Last modified 7 years ago

#1225 closed defect (Fixed)

hang on establishing encrypted directory connection snow leopard

Reported by: ejonesss Owned by:
Priority: High Milestone: 0.2.1.22
Component: Core Tor/Tor Version: 0.2.1.21
Severity: Keywords:
Cc: ejonesss, edanite, nickm, Alpaca, Tas, Sebastian, dametenshi, fifi, arma, coreybotpdx, ZachR Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

using the default settings in the tor client 0.2.6 qt 3.4.5 on os x 10.6 snow leopard (you dont list 10.6 snow leopard) hangs on establishing encrypted directory connection.

from different searches i get that it is an isp blocking tor but i tried different isps and even going through a vpn and the same thing.

i have a ppc based mac running 10.5.8 and it works ok.

i suspect that tor is not snow leopard compatible with this latest version of tor

i suspect it may be something apple did possibly the removal of the ppc code and having intel only.

Jan 22 10:41:59.437 [Notice] Tor v0.2.1.21. This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin Power Macintosh)
Jan 22 10:41:59.546 [Notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.
Jan 22 10:41:59.554 [Notice] Opening Socks listener on 127.0.0.1:9050
Jan 22 10:41:59.563 [Notice] Opening Control listener on 127.0.0.1:9051
Jan 22 10:42:00.549 [Notice] Bootstrapped 10%: Finishing handshake with directory server.
Jan 22 10:42:00.862 [Warning] TLS error: unexpected close while renegotiating
Jan 22 10:42:01.173 [Warning] TLS error: unexpected close while renegotiating
Jan 22 10:42:01.264 [Notice] No current certificate known for authority moria1; launching request.
Jan 22 10:42:01.272 [Notice] No current certificate known for authority tor26; launching request.
Jan 22 10:42:01.280 [Notice] No current certificate known for authority dizum; launching request.
Jan 22 10:42:01.293 [Notice] No current certificate known for authority ides; launching request.
Jan 22 10:42:01.301 [Notice] No current certificate known for authority gabelmoo; launching request.
Jan 22 10:42:01.309 [Notice] No current certificate known for authority dannenberg; launching request.
Jan 22 10:42:01.318 [Notice] No current certificate known for authority urras; launching request.
Jan 22 10:42:01.527 [Warning] TLS error: unexpected close while renegotiating
Jan 22 10:42:01.766 [Warning] TLS error: unexpected close while renegotiating

[Automatically added by flyspray2trac: Operating System: OSX 10.5 Leopard]

Child Tickets

Change History (67)

comment:1 Changed 9 years ago by edanite

I think this is related to Apple Security Update 2010-001 <http://support.apple.com/kb/HT4004>, which patches openssl to
disallow renegotiation, c.f. task 1144 for FreeBSD. ejonesss, have you applied this patch to your 10.5.8 ppc box?

I'm seeing these symptoms on Mac OS 10.5.8 Intel, Tor v0.2.1.22 (from the Vidalia bundle), OpenSSL 0.9.7l 28 Sep 2006.

Based on Apple's notes, they haven't patched 10.4 or earlier, so it should still work there.

comment:2 Changed 9 years ago by Alpaca

Agree with commenter above. This problem has cropped up for me only since installing the security update. Previously,
everything ran fine (OSX 10.6.2 Intel, OpenSSL 0.9.8l). Compiling from source (either 0.2.1.22 or 0.2.2.7alpha) and running
from command line does not help.

comment:3 Changed 9 years ago by nickm

Looks like a duplicate of bug 1223?

comment:4 Changed 9 years ago by cluckly

also 1226

comment:5 Changed 9 years ago by phobos

I closed 1223 and 1226 to use this as the bug report to track.

comment:6 Changed 9 years ago by phobos

The problem is apple updated openssl on snow leopard. Tor doesn't have a mac running snow leopard to test.
If someone wants to test running macports openssl or be available for us to try testing things, we need your help.

comment:7 Changed 9 years ago by deodac

Hi.

I installed 0.2.2.7-alpha bundle on my new MacBook.
Although it states that Tor is running, Vidalia hangs while establishing encrypted directory connection.
This is what I got:

ene 23 13:32:06.991 [Notice] Tor v0.2.2.7-alpha (git-c939509051f90d72). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)
ene 23 13:32:06.992 [Notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.
ene 23 13:32:06.993 [Notice] Opening Socks listener on 127.0.0.1:9050
ene 23 13:32:06.993 [Notice] Opening Control listener on 127.0.0.1:9051
ene 23 13:32:43.351 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)
ene 23 13:32:43.352 [Notice] No current certificate known for authority moria1; launching request.
ene 23 13:32:43.352 [Notice] No current certificate known for authority tor26; launching request.
ene 23 13:32:43.353 [Notice] No current certificate known for authority dizum; launching request.
ene 23 13:32:43.353 [Notice] No current certificate known for authority ides; launching request.
ene 23 13:32:43.353 [Notice] No current certificate known for authority gabelmoo; launching request.
ene 23 13:32:43.354 [Notice] No current certificate known for authority dannenberg; launching request.
ene 23 13:32:43.354 [Notice] No current certificate known for authority urras; launching request.
ene 23 13:32:43.674 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)
ene 23 13:32:43.860 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)

I am willing to help, and make it work, but I am not a developer, just a curious user, and a newbie to Mac and to Tor.
I have OpenSSL 0.9.8l 5 Nov 2009, and, yesterday, have also installed the Apple Security Update 2010-001.

Mac Firewall was running, but when stopped it does not change a bit the log.
Little snitch rules are set to allow any TCP connections that it asks for.

If you have any suggestions, let me know, I'll be reading the posts.


comment:8 Changed 9 years ago by Alpaca

Very willing to help test in any way possible. Have Macports OpenSSL as well as version compiled by hand. Mac OS 10.6.2. Competent at command line.

comment:9 Changed 9 years ago by ejonesss

@Emerson D'Anite the ppc machine has 10.4.11 i never upgraded to leopard.

i switched to the ppc machine because i have been getting various polipo and privoxy errors like site unreachable,socks
ttl expired and such.

even tor2web.com does not work now.

maybe a way to prevent so many errors i think the tor developers should integrate the os's open ssl libraries into the
application or leverage the closed ssl system used by the web browser for handling bank transactions.

other things maybe have a fallback system where if it cant encrypt the connection then connect to the tor central server
in an unencrypted connection ()tor will have to set up a encrypted vpn for the tor users to connect trough).

if it has to fallback to unencrypted connections then connect as client only because for me that is all i use it for is
to view like 1 tor site.

comment:10 Changed 9 years ago by heywood

Seeing the same issue on Leopard (10.5.8 Intel) and 0.2.2.7-alpha (installed the Vidalia bundle). Yes, I installed the
Apple security patch recently. Verified that the default install of OpenSSL was (the very old) 0.9.7l 28 Sep 2006, as in
the first comment above. Installed 0.9.8l from source, no improvement. However the notes accompanying 0.2.2.7-alpha seem to

suggest that the Vidalia bundle includes(?) OpenSSL 0.9.8l, so unless I misunderstood that, the underlying cause is

something else.

Seems like Tor has access to a 10.5.8 box for testing, but I am happy to test here as well if needed.

comment:11 Changed 9 years ago by ejonesss

what openssl libraries are being used by tor?

i found one in library/openssl

my theory is if i can replace the opennsl folder with an older version i should be able to restore tor.

comment:12 Changed 9 years ago by nickm

I believe that compiling with a static openssl WILL work fine, despite what people have said. Here are instructions
on how to do it, if you're used to building packages from source. If folks can confirm that this works, that would
be great.

0) Update to the latest git version of Tor, either from the maint-0.2.1 branch or from the master branch.
1) Download the source for openssl-0.9.8l from http://openssl.org/source/openssl-0.9.8l.tar.gz . Unpack it
2) configure openssl with some nonstandard prefix. I'd suggest "./config --prefix=$HOME/openssl-098l"
3) build and install openssl: make; make install
4) configure and build tor to use the static openssl you just built, with:

sh autogen.sh (to regenerate the makefiles and configure file)
./configure --with-openssl-dir=$HOME/openssl-098l --enable-static-openssl
make

Now you should have a working Tor binary, statically linked against the openssl you built. Unlike the apple one,
it will believe Tor when it says that it really knows what it's doing with SSL renegotiation.

comment:13 Changed 9 years ago by edanite

Using static OpenSSL 0.9.8l works here. I copied tor, tor-checkkey, tor-gencert, and tor-resolve into my Vidalia bundle, and then started Vidalia.

OS X 10.5.8, Tor 0.2.1.22

comment:14 Changed 9 years ago by Alpaca

Works for me as well, although hellish amount of symlinking required to get it to use the proper openSSL.

comment:15 Changed 9 years ago by Sebastian

Works for me on Snow Leopard, but one needs to configure openssl like this:
./Configure --prefix=$HOME/openssl-098l darwin64-x86_64-cc

instead of using the ./config line above.

comment:16 Changed 9 years ago by Sebastian

Next exciting new development: Statically linking openssl isn't required
when using libevent 1.4.23 from macports.

comment:17 Changed 9 years ago by cluckly

This way should also work.
install the one in fink, then symbol link to the executable files in Vidalia folder.

comment:18 Changed 9 years ago by nickm

Sebastian: 1.4.13, I assume you mean?

Could it be that you're actually getting a version of openssl from macports instead of the system version?

(Libevent is good stuff, but it doesn't contain any code to re-enable broken openssl installations)

comment:19 Changed 9 years ago by Sebastian

Yes, I mean 1.4.13.

Don't know about your second question:

[shire tor (master)]$ ./configure --with-libevent-dir=/opt/local
[snip]
[shire tor (master)]$ make -j 2
[snip]
[shire tor (master)]$ DYLD_PRINT_LIBRARIES=y src/or/tor
dyld: loaded: /Users/killerchicken/coding/git/tor-git/tor/src/or/tor
dyld: loaded: /opt/local/lib/libz.1.dylib
dyld: loaded: /usr/lib/libSystem.B.dylib
dyld: loaded: /opt/local/lib/libevent-1.4.2.dylib
dyld: loaded: /opt/local/lib/libcrypto.0.9.8.dylib
dyld: loaded: /opt/local/lib/libssl.0.9.8.dylib
dyld: loaded: /usr/lib/system/libmathCommon.A.dylib
dyld: loaded: /usr/lib/libresolv.9.dylib
Jan 26 15:13:54.873 [notice] Tor v0.2.2.7-alpha (git-2d3f21e9ee5d1736). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)
Jan 26 15:13:54.874 [notice] Configuration file "/usr/local/etc/tor/torrc" not present, using reasonable defaults.
Jan 26 15:13:54.875 [notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.

[shire tor (master)]$ ./configure
[snip]
[shire tor (master)]$ make -j 2
[snip]
[shire tor (master)]$ DYLD_PRINT_LIBRARIES=y src/or/tor
dyld: loaded: /Users/killerchicken/coding/git/tor-git/tor/src/or/tor
dyld: loaded: /usr/lib/libz.1.dylib
dyld: loaded: /usr/lib/libSystem.B.dylib
dyld: loaded: /usr/lib/libcrypto.0.9.8.dylib
dyld: loaded: /usr/lib/libssl.0.9.8.dylib
dyld: loaded: /usr/lib/system/libmathCommon.A.dylib
dyld: loaded: /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
Jan 26 15:17:07.235 [notice] Tor v0.2.2.7-alpha (git-2d3f21e9ee5d1736). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)
Jan 26 15:17:07.236 [notice] Configuration file "/usr/local/etc/tor/torrc" not present, using reasonable defaults.
Jan 26 15:17:07.236 [notice] Initialized libevent version 1.4.6-stable using method kqueue. Good.

comment:20 Changed 9 years ago by nickm

Well, in the first case, you're loading /opt/local/lib/libssl.0.9.8.dylib, and in the second case you're loading
/usr/lib/libssl.0.9.8.dylib. So it looks like the macports openssl is working fine for you, and the system one
isn't.

comment:21 Changed 9 years ago by Sebastian

Right, but this is what linus gets:

% DYLD_PRINT_LIBRARIES=y src/or/tor -f /tmp/empty
dyld: loaded: /u/src/tor/o/src/or/tor
dyld: loaded: /usr/lib/libz.1.dylib
dyld: loaded: /usr/lib/libSystem.B.dylib
dyld: loaded: /opt/local/lib/libevent-1.4.2.dylib
dyld: loaded: /usr/lib/libcrypto.0.9.8.dylib
dyld: loaded: /usr/lib/libssl.0.9.8.dylib
dyld: loaded: /usr/lib/system/libmathCommon.A.dylib
dyld: loaded: /usr/lib/libresolv.9.dylib
dyld: loaded: /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
Jan 26 11:01:25.644 [notice] Tor v0.2.2.7-alpha (git-69c0147ea6725a63). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)
Jan 26 11:01:25.646 [notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.
Jan 26 11:01:25.646 [notice] Opening Socks listener on 127.0.0.1:9050
Jan 26 11:01:25.982 [notice] We now have enough directory information to build circuits.
Jan 26 11:01:25.982 [notice] Bootstrapped 80%: Connecting to the Tor network.
Jan 26 11:01:26.015 [notice] Bootstrapped 85%: Finishing handshake with first hop.
Jan 26 11:01:32.560 [notice] Bootstrapped 90%: Establishing a Tor circuit.
Jan 26 11:01:44.493 [notice] Tor has successfully opened a circuit. Looks like client functionality is working.
Jan 26 11:01:44.493 [notice] Bootstrapped 100%: Done.
^CJan 26 11:04:47.289 [notice] Interrupt: exiting cleanly.

No idea why it works for him. Also, no idea why I'm suddenly using the macports lib.
I didn't tell configure to do that

comment:22 Changed 9 years ago by KaleoK

Same problem with Leopard 10.5.8 on PowerBook G4. Following the suggestion here about OpenSSL, I found this helpful:

http://jasonk2600.wordpress.com/2009/11/26/freebsd-tip-installed-ports/

Had to add a ' before the filename in the command lines.

Have no clue what this is about but it fixed the problem. Just hope I haven't opened up my computer to attacks! lol

comment:23 Changed 9 years ago by MikeRich88

If you don't feel like compiling stuff, and just want to get Tor working for now, AND if you use Time Machine, you can roll back to an older version of "libssl".

  1. First go to /usr/lib/ in the Finder and find "libssl.0.9.7.dylib". Right click and choose Compress. This will send a compressed version of the "bad" libssl to the Desktop, so you can put it back later. It will also sequester it in a zip file so you don't mix anything up.
  2. Then load Time Machine which should remain in /usr/lib/. Go back to before you applied the security update. The date of "libssl.0.9.7.dylib" should be sometime in May. Restore this old version to the Desktop. Exit Time Machine.
  3. Move the bad libssl to the trash. You will need to authenticate.
  4. Move the good, old libssl from the Desktop to the lib folder. Authenticate again.
  5. Restart OS X.
  6. Now Tor works again.

This should only be used temporarily. Once the Tor guys patch around this you should throw away the old libssl, uncompress the new one and drag it into the lib folder.

comment:24 Changed 9 years ago by phobos

Packages for testing are available at: https://www.torproject.org/dist/testing/

READ THIS FINE PRINT:

1) These will only work on OSX 10.5 i386 and newer. The backwards compatible osx 10.4 lib changes stop tor from
including the static openssl. Tor fails to compile when using the 10.4 libs.

2) Tor-0.2.2.8-alpha-i386-Bundle.dmg is compiled to replace the tor binaries in /Applications/Vidalia.app/Contents/MacOS

only. If your tor is located elsewhere, compile your own for now.

3) I filed a bug with apple about their broken openssl. grml.

4) let us know if they work for you. My testing systems show it works for me. Update this bug if it doesn't work or you have other issues with these testing packages.

comment:25 Changed 9 years ago by Alpaca

Works beautifully.

comment:26 Changed 9 years ago by Toruser2

3) I filed a bug with apple about their broken openssl. grml.

Apple "disabled renegotiation in OpenSSL as a preventive security measure" as long as TLS/SSL protocol isn't fixed.
http://support.apple.com/kb/HT4004
http://www.phonefactor.com/sslgap

Is there any way to get working Tor on Mac OS X 10.6.2 without compiling the sources?

Thanks for your work.

comment:27 Changed 9 years ago by phobos

@Armin, use the packages as described here,

https://bugs.torproject.org/flyspray/index.php?do=details&id=1225&area=comments#3792

They work with 10.5 and 10.6 i386 only.

comment:28 Changed 9 years ago by ejonesss

the replacing of libssl fixed the problem.

what harm can renegotiation cause that apple disabled it for.

comment:29 Changed 9 years ago by MikeRich88

If you are on PPC you will need to use the libssl replacement described above. Intel users should use the new package, however.

comment:30 Changed 9 years ago by htoddcarter

I'm on a Snow Leopard MacBook and I ran Tor-0.2.2.8-alpha-i386-Bundle.dmg like Andrew said. However, it's still not working. Here are the messages I'm getting:

Jan 27 22:39:57.095 [Notice] Tor v0.2.2.7-alpha (git-c939509051f90d72). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)
Jan 27 22:39:57.151 [Notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.
Jan 27 22:39:57.152 [Notice] Opening Socks listener on 127.0.0.1:9050
Jan 27 22:39:57.152 [Notice] Opening Control listener on 127.0.0.1:9051
Jan 27 22:39:57.220 [Notice] Parsing GEOIP file.
Jan 27 22:39:57.796 [Warning] 1 unknown, 2 missing key, 3 good, 0 bad, 1 no signature, 4 required
Jan 27 22:39:57.797 [Notice] We're missing a certificate from authority with signing key 665711AF821C459DC59A8491FAD1B9D7A7800ECF: launching request.
Jan 27 22:39:57.798 [Notice] We're missing a certificate from authority with signing key 6584DF098CFC68ACBF5E551532C8A58674586820: launching request.
Jan 27 22:39:57.798 [Notice] Bootstrapped 5%: Connecting to directory server.
Jan 27 22:39:58.144 [Notice] I learned some more directory information, but not enough to build a circuit: We have no network-status consensus.
Jan 27 22:39:58.191 [Notice] We're missing a certificate from authority with signing key 665711AF821C459DC59A8491FAD1B9D7A7800ECF: launching request.
Jan 27 22:39:58.192 [Notice] We're missing a certificate from authority with signing key 6584DF098CFC68ACBF5E551532C8A58674586820: launching request.
Jan 27 22:39:58.310 [Notice] Bootstrapped 10%: Finishing handshake with directory server.
Jan 27 22:39:58.594 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)
Jan 27 22:40:59.212 [Notice] We're missing a certificate from authority with signing key 665711AF821C459DC59A8491FAD1B9D7A7800ECF: launching request.
Jan 27 22:40:59.243 [Notice] We're missing a certificate from authority with signing key 6584DF098CFC68ACBF5E551532C8A58674586820: launching request.
Jan 27 22:46:04.283 [Notice] We're missing a certificate from authority with signing key 665711AF821C459DC59A8491FAD1B9D7A7800ECF: launching request.
Jan 27 22:46:04.286 [Notice] We're missing a certificate from authority with signing key 6584DF098CFC68ACBF5E551532C8A58674586820: launching request.
Jan 27 22:46:04.752 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)

So, could someone let me know when there's a fix? Thank you!

PS It is an intel based mac.

comment:31 Changed 9 years ago by ktaskeen

vidalia-bundle-0.2.2.8-alpha-0.2.7-i386.dmg worked for me on 10.6.2. Had the SSL error before. Thank you.

comment:32 Changed 9 years ago by Toruser2

@h t carter: try this:

https://www.torproject.org/dist/testing/vidalia-bundle-0.2.2.8-alpha-0.2.7-i386.dmg

Worked on 10.6.2 (i386)! Thank you!!

comment:33 Changed 9 years ago by xianyu_185

vidalia-bundle-0.2.2.8-alpha-0.2.7-i386.dmg
It really works. I firstly installed the alpha tor only but failed.
Then I removed old vidalia bundle completely by AppZapper
After copy the alpha version I can now get access to tor network
Thanks very much for those who have contribute to the solution!

comment:34 Changed 9 years ago by ejonesss

no one answered me about what harm that ssl renegotiation can do i decided to do a google search and found http://it.slashdot.org/story/09/11/16/2327230/SSL-Renegotiation-Attack-Becomes-Real

if you tor developers are monitoring the group it may be a good idea to not do Renegotiation requests because.

if there is a rogue relay out there it could Renegotiation it's way into compromising security and privacy of tor or even worse disable tor or access to a site by planting bogus pages or blocking them.

i think if tor cant negotiate the ssl properly it should refuse to listen to that relay and if a Renegotiation request happens then close that relay.

comment:35 Changed 9 years ago by nickm

We are not affected by the TLS renegotation bug. See http://archives.seul.org/or/talk/Nov-2009/msg00019.html

Or more verbosely:

The Tor handshake protocol involves an immediate client-initiated
renegotiation right after the initial SSL handshake is done. We use
renegotiation like this because we want to avoid fingerprinting by
having, our initial handshake to look like a firefox talking to an
apache. Once that's done, we use renegotiation to get the connection
parameters we_actually_ want. The full details were first proposed in
section 1 of

https://git.torproject.org/checkout/tor/master/doc/spec/proposals/130-v2-conn-protocol.txt

We believe this is safe because 1) the server does not allow any data
to be sent before the renegotiation, and 2) the server doesn't treat a
renegotiation as authenticating previously sent data.

Even if our implementations of 1 and 2 were completely broken, we
would still be safe because 3) In the Tor protocol, the server never
answers a client until it knows its public key, and that public key is
not established until the first renegotiation, after which it never
changes. Thus, the attacker cannot get access to circuits intended
for a client, since the server won't pass them on until after the
client has authenticated. Also, 4) The attacker also cannot
successfully create usable circuits that seem as if they had come from
a client, since the server will not complete the diffie-hellman
handshake in the circuit extend protocol until the client has
authenticated.



That said, I think I'd like to move away from renegotiation in the

near future; as TLS renegotiations become rarer and rarer in the wild,
we'll stick out like a sore thumb for doing them. I believe instead
we should move to a system like the one in Proposal 105, where we
tinker only minimally with the original handshake, and step up our
authentication using the Tor protocol, not TLS.

Since then I've written up a proposal to remove the need for negotiation. See proposal 169.

comment:36 Changed 9 years ago by phobos

PowerPC packages for 10.5 and higher are now available at https://www.torproject.org/dist/testing/
.

I lack an os x 10.4 machine, so I'm still working on the 10.4 backwards compatibility compiling issues.

comment:37 Changed 9 years ago by deodac

Works! The new bundle in OS 10.6, gives no problems whatsoever. Thank you very much.

comment:38 Changed 9 years ago by Sebastian

Update from Apple (and yes, works as advertised):

Thank you for your report of this issue with Tor.

The issue you're seeing is because the current versions of the development tools were created before the OpenSSL security fix, and so do not include the "SSL3_FLAGS_ALLOW_UNSAFE_LEGACY_RENEGOTIATION" definition in the OpenSSL headers.

You can work around this issue by supplying the definition to Tor directly, for example by compiling Tor using

CPPFLAGS='-DSSL3_FLAGS_ALLOW_UNSAFE_LEGACY_RENEGOTIATION=0x0010' ./configure && make

This will work on both Leopard and Snow Leopard.

comment:39 Changed 9 years ago by nickm

Well, that sure makes stuff easier.

I just committed 8d68e5c748941dec2f2ec68108443ef538192153 to git master, to make Tor autodetect the
openssl version at runtime and use the appropriate renegotiation-reactivation trick as needed. If this works
for people, we might be able to get out of the static-linking-to-openssl business entirely.

comment:40 Changed 9 years ago by nickm

And 4905eaa38cefadf3aa5aac25e679fd3102688984 has the fix to the fix.

comment:41 Changed 9 years ago by ln5

Works here, regardless of what's passed in --with-libevent-dir at configure time.

This should be a proper explanation for why change of dylib wouldn't matter -- the decision for passing SSL3_FLAGS_ALLOW_UNSAFE_LEGACY_RENEGOTIATION or not was done at compile time based on which openssl/ssl.h was used. Nasty.

Thanks, Sebastian and Nick.

comment:42 Changed 9 years ago by phobos

The actual os x 0.2.2.8-alpha packages are now published, backwards compatible with OS X 10.4,
and at https://www.torproject.org/download.html.en

If these work, I'll close the bug.

Thank you to all who tested the packages over the past week!

comment:43 Changed 9 years ago by Tas

The vidalia-bundle-0.2.2.8-alpha-0.2.7-ppc.dmg from the download page doesn't work for me on patched patched Mac OS X Server 10.5.8 (9L30) on PPC, shows me the SSL error at 85% on the Vidalia log page (not always though, I saw the log often hang after the first 4 lines, but maybe waiting about a minute wasn't long enough). The old bundle from /testing works though, a downgrade to it fixes the problem.

The i386 version works fine though. Thank you!

comment:44 Changed 9 years ago by colin

0.2.2.8 alpha tor shows ssl error still. Stuck at 85%

comment:45 Changed 9 years ago by htoddcarter

Thanks everyone for the help. I installed vidalia-bundle-0.2.2.8-alpha-0.2.7-i386.dmg. And now that onion is connected and looks green. However, I still got the "The proxy server is refusing connections" error in firefox. Luckily, I had this problem before and knew that I had to put the term "-c /Applications/Vidalia.app/Contents/Resources/polipo.conf" into the "Proxy Applications Arguments" field. So, thanks for all the help everyone. It works well now. :)

comment:46 Changed 9 years ago by phobos

Ok, apparently the fixes for ppc didn't work right. Let's try again. I build these new ppc packages on a 10.5.x ppc
machine.

https://www.torproject.org/dist/osx-old/Tor-0.2.2.8-alpha-i386-10.5-10.6-only-Bundle.dmg and .asc are "expert" Tor.
Just tor, nothing else.

https://www.torproject.org/dist/vidalia-bundles/vidalia-bundle-0.2.2.8-alpha-0.2.7-10.5-10.6-only-ppc.dmg and .asc are
the normal vidalia-bundle configuration.

comment:47 Changed 9 years ago by nickm

For what it's worth, I believe that the newest versions of 0.2.1 and 0.2.2 in git should work out-of-the-box
on OSX without needing to statically link openssl.

comment:48 Changed 9 years ago by Tas

Just tested the vidalia-bundle-0.2.2.8-alpha-0.2.7-10.5-10.6-only-ppc.dmg from two comments above on my PPC OS X 10.5.8 server, and it works fine now. Thank you very much! :-)

comment:49 Changed 9 years ago by Tas

One thing I saw, but didn't test further: Tor-0.2.2.8-alpha-i386-10.5-10.6-only-Bundle.dmg - for i386, according to the name, but the post above talks only about "new PPC packages"? Is that name correct?

comment:50 Changed 9 years ago by colin

One point of confusion is that Tor-0.2.2.8-alpha-i386-10.5-10.6-only-Bundle.dmg has i386 in the name, but it is the PPC Tor only expert package. I think it should be Tor-0.2.2.8-alpha-PPC-10.5-10.6-only-Bundle.dmg

comment:51 Changed 9 years ago by colin

@ Tas - I think it is named incorrectly as I just installed on PPC and it now appears to be working again.

comment:52 Changed 9 years ago by vadiml

I'm getting following stack dump launching vidalia from

vidalia-bundle-0.2.2.8-alpha-0.2.7-i386.dmg

on Mac OS/X 10.5

============
Process: Vidalia [32333]
Path: /Applications/Vidalia.app/Contents/MacOS/Vidalia
Identifier: net.vidalia-project.vidalia
Version: 0.2.7 (0.2.7)
Code Type: X86 (Native)
Parent Process: launchd [218]

Interval Since Last Report: 10358 sec
Crashes Since Last Report: 1
Per-App Interval Since Last Report: 5 sec
Per-App Crashes Since Last Report: 1

Date/Time: 2010-02-07 14:56:20.667 +0100
OS Version: Mac OS X 10.5.8 (9L30)
Report Version: 6
Anonymous UUID: 4210126B-9553-4D27-B54E-7D47F4D3D106

Exception Type: EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000004
Crashed Thread: 0

Thread 0 Crashed:
0 QtCore 0x017c5d07 QObject::moveToThread(QThread*) + 39
1 QtCore 0x017b687f QFactoryLoader::instance(QString const&) const + 303
2 QtGui 0x00cdce76 createReadHandlerHelper(QIODevice*, QByteArray const&, bool, bool) + 1814
3 QtGui 0x00cde175 QImageReaderPrivate::initHandler() + 773
4 QtGui 0x00cdeb68 QImageReader::read(QImage*) + 1240
5 QtGui 0x00cdef59 QImageReader::read() + 41
6 QtGui 0x00cf306f QPixmapData::fromFile(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) + 63
7 QtGui 0x00ceed75 QPixmap::load(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) + 1157
8 QtGui 0x00cef295 QPixmap::QPixmap(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) + 149
9 net.vidalia-project.vidalia 0x000c70f9 Ui_MainWindow::setupUi(QMainWindow*) + 3403
10 net.vidalia-project.vidalia 0x000bf905 MainWindow::MainWindow() + 253
11 net.vidalia-project.vidalia 0x000b26dc main + 1952
12 net.vidalia-project.vidalia 0x00007252 _start + 216
13 net.vidalia-project.vidalia 0x00007179 start + 41

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0x00000000 ebx: 0x017c5d03 ecx: 0x017bf2c5 edx: 0x0075f214
edi: 0x0075f180 esi: 0x0070a010 ebp: 0xbffff008 esp: 0xbfffefc0

ss: 0x0000001f efl: 0x00010286 eip: 0x017c5d07 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

cr2: 0x00000004

Binary Images:

0x1000 - 0x457ff8 +net.vidalia-project.vidalia 0.2.7 (0.2.7) <e6b8fe73a5b38ae5854e8423203809da> /Applications/Vidalia.app/Contents/MacOS/Vidalia

0x4e3000 - 0x530ff3 +QtXml ??? (???) <65478a9a17e961c784afa02a44ac847e> /Applications/Vidalia.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml
0x551000 - 0x641fe3 +QtNetwork ??? (???) <5170d981e5365be6ff2f1fc3c306ab51> /Applications/Vidalia.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork
0x81f000 - 0x831fff libTraditionalChineseConverter.dylib ??? (???) <6108541a452ff07d2f67db4a488b9d22> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x835000 - 0x843feb libSimplifiedChineseConverter.dylib ??? (???) <68f130a585c3f580d166ef7cbbf47e69> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x869000 - 0x870fff +libqgif.dylib ??? (???) <428cb3c574243f4ee2640aa3f1a00e45> /Developer/Applications/Qt/plugins/imageformats/libqgif.dylib
0xbba000 - 0x149efe7 +QtGui ??? (???) <37dfa6b9f05874eb5fb226d86f82407e> /Applications/Vidalia.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x1774000 - 0x1985fe3 +QtCore ??? (???) <cc325c9518e63eb185a0f6d095164fc4> /Applications/Vidalia.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x15cba000 - 0x15e8eff3 +QtCore ??? (???) <e965464bc78a3a9ecf3e85bc884eb2a2> /Library/Frameworks/QtCore.framework/Versions/4/QtCore
0x1ed71000 - 0x1f58eff2 +QtGui ??? (???) <32eef19553d4ddbcbb89222720ab8122> /Library/Frameworks/QtGui.framework/Versions/4/QtGui
0x8fe00000 - 0x8fe2db43 dyld 97.1 (???) <458eed38a009e5658a79579e7bc26603> /usr/lib/dyld
0x90003000 - 0x9000afe9 libgcc_s.1.dylib ??? (???) <a9ab135a5f81f6e345527df87f51bfc9> /usr/lib/libgcc_s.1.dylib
0x9000b000 - 0x903c9fea libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x903de000 - 0x9040bfeb libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x9040c000 - 0x9042afff libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x90804000 - 0x90891ff7 com.apple.LaunchServices 292 (292) <a41286c7c1eb20ffd5cc796f791070f0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9089f000 - 0x90ba7fe7 com.apple.HIToolbox 1.5.6 (???) <eece3cb8aa0a4e6843fcc1500aca61c5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x90ba9000 - 0x90baaffc libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x90cb2000 - 0x90cc2fff com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x90cc3000 - 0x90cf2fe3 com.apple.AE 402.3 (402.3) <b13bfda0ad9314922ee37c0d018d7de9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x90cf3000 - 0x90cfaffe libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x90d03000 - 0x90d06fff com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x90d07000 - 0x90d30fff libcups.2.dylib ??? (???) <a40b9403cc4a0dffefed110e1eab90c4> /usr/lib/libcups.2.dylib
0x90d31000 - 0x90d5cfe7 libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x90d5d000 - 0x9155bfef com.apple.AppKit 6.5.9 (949.54) <4df5d2e2271175452103f789b4f4d8a8> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9155c000 - 0x91603feb com.apple.QD 3.11.57 (???) <35f058678972d42b88ebdf652df79956> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91604000 - 0x916f8ff4 libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x916f9000 - 0x91715ff3 libPng.dylib ??? (???) <df60749fd50bcfa0da5b4cac899e09df> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91716000 - 0x917a3ff7 com.apple.framework.IOKit 1.5.2 (???) <7a3cc24f78f93931731203854ae0d891> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x917ac000 - 0x91829fef libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x9184c000 - 0x91b26ff3 com.apple.CoreServices.CarbonCore 786.11 (786.14) <d5cceb2fe9551d345d40dd1ecf409ec2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x91b27000 - 0x91b3fff7 com.apple.CoreVideo 1.6.0 (20.0) <587c9c8966070a7d50276db35e1c76aa> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x91b40000 - 0x92011fbe libGLProgrammability.dylib ??? (???) <7f18294a7bd0b6afe4319f29187fc70d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x92f96000 - 0x92f96ff8 com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x92f97000 - 0x92f99fff com.apple.securityhi 3.0 (30817) <dbe328cd62d603a952a4226342711e8b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f9a000 - 0x92fb0fff com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x93132000 - 0x93303ff3 com.apple.security 5.0.6 (37592) <c7c68c3ba198b36d571d4b1e028a1a77> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x93305000 - 0x933b5fff edu.mit.Kerberos 6.0.13 (6.0.13) <804bd1b3f08fb57396781f012006367c> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x933b6000 - 0x933b8ff5 libRadiance.dylib ??? (???) <3561a7a6405223a1737f41352f1fd8c8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x933ff000 - 0x93489fe3 com.apple.DesktopServices 1.4.8 (1.4.8) <a6edef2d49ffdee3b01010b7e6edac1f> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x93496000 - 0x934efff7 libGLU.dylib ??? (???) <a3b9be30100a25a6cd3ad109892f52b7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x934f0000 - 0x93500ffc com.apple.LangAnalysis 1.6.5 (1.6.5) <d057feb38163121ffd871c564c692804> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x935de000 - 0x935deffa com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x935df000 - 0x93672fff com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x93673000 - 0x9367aff7 libCGATS.A.dylib ??? (???) <1339abfb67318d65c0130f76bc8c4da6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x9367b000 - 0x936bcfe7 libRIP.A.dylib ??? (???) <e9c5df8bd574b71e55ac60c910b929ce> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x93a7f000 - 0x93b31ffb libcrypto.0.9.7.dylib ??? (???) <d02f7e5b8a68813bb7a77f5edb34ff9d> /usr/lib/libcrypto.0.9.7.dylib
0x93b65000 - 0x93b6efff com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93b6f000 - 0x93b93fff libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x93b97000 - 0x93b97ffd com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x93b98000 - 0x93c15feb com.apple.audio.CoreAudio 3.1.2 (3.1.2) <782a08c44be4698597f4bbd79cac21c6> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x93d7a000 - 0x93d88ffd libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x93d89000 - 0x93dc3fe7 com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x93dc4000 - 0x93e20ff7 com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93e70000 - 0x93f51ff7 libxml2.2.dylib ??? (???) <b3bc0b280c36aa17ac477b4da56cd038> /usr/lib/libxml2.2.dylib
0x93f52000 - 0x93f5effe libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x93f5f000 - 0x940a7ff7 com.apple.ImageIO.framework 2.0.7 (2.0.7) <cf45179ee2de2d46a6ced2ed147a454c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x94238000 - 0x94289ff7 com.apple.HIServices 1.7.1 (???) <ba7fd0ede540a0da08db027f87efbd60> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x94354000 - 0x9435ffe7 libCSync.A.dylib ??? (???) <d88c20c9a2fd0676dec62fddfa74979f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94360000 - 0x945dcfe7 com.apple.Foundation 6.5.9 (677.26) <c68b3cff7864959becfc7fd1a384f925> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x945dd000 - 0x945e1fff libGIF.dylib ??? (???) <e7d550bda10018f52e61bb499dcf445f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x945e2000 - 0x945e2ffc com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x946ee000 - 0x94706fff com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x94707000 - 0x94764ffb libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9476a000 - 0x94770fff com.apple.print.framework.Print 218.0.3 (220.2) <5b7f4ef7c2df36aff9605377775781e4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x94829000 - 0x94867fff libGLImage.dylib ??? (???) <a6425aeb77f4da13212ac75df57b056d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x94868000 - 0x948fbff3 com.apple.ApplicationServices.ATS 3.8 (???) <eda9db16110de6b7fd9436cd0daa787d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x94a52000 - 0x94a9bfef com.apple.Metadata 10.5.8 (398.26) <e4d268ea45379200f03cdc7c8bedae6f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x94a9c000 - 0x94abbffa libJPEG.dylib ??? (???) <37050c2a8d6f7026c94b4bf07c4d8a80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x956f2000 - 0x9582bff7 libicucore.A.dylib ??? (???) <f2819243b278259b9a622ea111ea5fd6> /usr/lib/libicucore.A.dylib
0x958ea000 - 0x958f4feb com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x958f5000 - 0x959ddff3 com.apple.CoreData 100.2 (186.2) <44df326fea0236718f5ed64084e82270> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x95a19000 - 0x95b80ff3 libSystem.B.dylib ??? (???) <ae47ca9b1686b065f8ac4d2de09cc432> /usr/lib/libSystem.B.dylib
0x95bf5000 - 0x95cc0fef com.apple.ColorSync 4.5.3 (4.5.3) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95cd9000 - 0x95d93fe3 com.apple.CoreServices.OSServices 228 (228) <bc83e97f6888673c33f86652677c09cb> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x95d94000 - 0x95dd6fef com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x95de1000 - 0x95ea8ff2 com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x95ea9000 - 0x95f23ff8 com.apple.print.framework.PrintCore 5.5.4 (245.6) <03d0585059c20cb0bde5e000438c49e1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x95f24000 - 0x95f24fff com.apple.Carbon 136 (136) <9961570a497d79f13b8ea159826af42d> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x95f25000 - 0x96058fe7 com.apple.CoreFoundation 6.5.7 (476.19) <a332c8f45529ee26d2e9c36d0c723bad> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x96059000 - 0x960e0ff7 libsqlite3.0.dylib ??? (???) <3334ea5af7a911637413334154bb4100> /usr/lib/libsqlite3.0.dylib
0x960e1000 - 0x960e6fff com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x960e7000 - 0x96787feb com.apple.CoreGraphics 1.409.5 (???) <a40644ccdbdc76e3a0ab4d468b2f9bdd> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x967fb000 - 0x9683afef libTIFF.dylib ??? (???) <cd2e392973a1fa35f23a0f37f55c579c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x968b2000 - 0x96959fec com.apple.CFNetwork 438.14 (438.14) <5f9ee0430b5f6319f18d9b23e777e0d2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9695a000 - 0x9697efeb libssl.0.9.7.dylib ??? (???) <5b29af782be5894be8b336c9c73c18b6> /usr/lib/libssl.0.9.7.dylib
0x9697f000 - 0x96d1cfef com.apple.QuartzCore 1.5.8 (1.5.8) <a28fa54346a9f9d5b3bef076a1ee0fcf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x96d1d000 - 0x96d1dffb com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x96d1e000 - 0x9712efef libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9712f000 - 0x9720ffff libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x9725c000 - 0x97293fff com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x97294000 - 0x973e6ff3 com.apple.audio.toolbox.AudioToolbox 1.5.3 (1.5.3) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x9745d000 - 0x97461fff libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x974a7000 - 0x974b4fe7 com.apple.opengl 1.5.10 (1.5.10) <5a2813f80c9441170cc1ab8a3dac5038> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x974b5000 - 0x97534ff5 com.apple.SearchKit 1.2.2 (1.2.2) <3b5f3ab6a363a4d8a2bbbf74213ab0e5> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x97536000 - 0x97536ffd com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x97537000 - 0x9753ffff com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x97540000 - 0x9759aff7 com.apple.CoreText 2.0.4 (???) <f0b6c1d4f40bd21505097f0255abfead> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9759b000 - 0x9759bffd com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9759c000 - 0x975b1ffb com.apple.ImageCapture 5.0.2 (5.0.2) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0xba900000 - 0xba916fff libJapaneseConverter.dylib ??? (???) <b9aea83b1cd97f3230999ebfcbf63e7c> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2 libKoreanConverter.dylib ??? (???) <bc0bb2eed0f4558f07bbaa812d79371b> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780 libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

comment:53 Changed 9 years ago by fifi

Is this issue closed or still active? I tried every update available and still have the described problems.
Running PPC, Os X 10.5.8 with the mean security patch

comment:54 Changed 9 years ago by LoboSolo

I still hang on trying to start up Vidalia. MacBook 10.6.2.

comment:55 Changed 9 years ago by Sebastian

This bug should be fixed in 0.2.1.24 as well as 0.2.2.9 and later. Packages are available from
https://www.torproject.org/download.html

Please report back if they do not work.

Vadim: Your stacktrace is not a Tor bug, but rather a Vidalia packaging problem. It should
be fixed in the next released verson of Vidalia.

comment:56 Changed 9 years ago by arma

Ok to close this bug? I haven't heard any complaints in a while (except
from people who didn't know to upgrade).

comment:57 Changed 9 years ago by Sebastian

I think we should close, yes.

comment:58 Changed 9 years ago by Sebastian

Someone requested we reopen? What's up?

comment:59 Changed 9 years ago by coreybotpdx

Yeah, I am experiencing this exact same problem, except that I have the most up to date version of everything.

comment:60 Changed 9 years ago by Sebastian

Try erasing the ~/Library/Vidalia folder to reset your vidalia preferences

comment:61 Changed 9 years ago by coreybotpdx

It worked! Great, thank you very much. Go ahead and close the thread again.

comment:62 Changed 9 years ago by Sebastian

And another reopening request. What's up?

comment:63 Changed 9 years ago by ZachR

Ah, yes. I apologize in advanced if I am wasting anyone's time with this; I may have missed something ~ as to why I keep getting this stack dump.

Any insight would be great. :D

This is when I try and start Vidalia.app from /Applications , as you can see below.

Process: Vidalia [34149]
Path: /Applications/Vidalia.app/Contents/MacOS/Vidalia
Identifier: net.vidalia-project.vidalia
Version: 0.2.7 (0.2.7)
Code Type: X86 (Native)
Parent Process: launchd [182]

Date/Time: 2010-03-22 14:23:48.206 -0400
OS Version: Mac OS X 10.6.2 (10C540)
Report Version: 6
Sleep/Wake UUID: C4BDA709-A69D-4657-9F1F-09A4EA51E038

Interval Since Last Report: 155110 sec
Crashes Since Last Report: 24
Per-App Interval Since Last Report: 58 sec
Per-App Crashes Since Last Report: 22
Anonymous UUID: 5C4624C5-DC0F-428A-BDBB-B0DC154F05A5

Exception Type: EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000004
Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 QtGui 0x2063d686 QAbstractButton::isCheckable() const + 6
1 libqtaccessiblewidgets.dylib 0x1b3260f0 QAccessibleButton::QAccessibleButton(QWidget*, QAccessible::Role) + 112
2 libqtaccessiblewidgets.dylib 0x1b320ae2 AccessibleFactory::create(QString const&, QObject*) + 866
3 QtGui 0x00aabe05 QAccessible::queryAccessibleInterface(QObject*) + 453
4 QtGui 0x00557b4e QAccessible::updateAccessibility(QObject*, int, QAccessible::Event) + 398
5 QtGui 0x005c16fa QWidgetPrivate::show_helper() + 330
6 QtGui 0x005c1d73 QWidget::setVisible(bool) + 1139
7 QtGui 0x005c1558 QWidgetPrivate::showChildren(bool) + 328
8 QtGui 0x005c160f QWidgetPrivate::show_helper() + 95
9 QtGui 0x005c1d73 QWidget::setVisible(bool) + 1139
10 QtGui 0x005c1558 QWidgetPrivate::showChildren(bool) + 328
11 QtGui 0x005c160f QWidgetPrivate::show_helper() + 95
12 QtGui 0x005c1d73 QWidget::setVisible(bool) + 1139
13 net.vidalia-project.vidalia 0x000cb6a3 VidaliaWindow::setVisible(bool) + 201
14 net.vidalia-project.vidalia 0x000ba0f9 MainWindow::setVisible(bool) + 83
15 net.vidalia-project.vidalia 0x0000ca3e QWidget::show() + 32
16 net.vidalia-project.vidalia 0x000c05a7 MainWindow::MainWindow() + 3487
17 net.vidalia-project.vidalia 0x000b26dc main + 1952
18 net.vidalia-project.vidalia 0x00007252 _start + 216
19 net.vidalia-project.vidalia 0x00007179 start + 41

Thread 1: Dispatch queue: com.apple.libdispatch-manager
0 libSystem.B.dylib 0x92ec20ea kevent + 10
1 libSystem.B.dylib 0x92ec2804 _dispatch_mgr_invoke + 215
2 libSystem.B.dylib 0x92ec1cc3 _dispatch_queue_invoke + 163
3 libSystem.B.dylib 0x92ec1a68 _dispatch_worker_thread2 + 234
4 libSystem.B.dylib 0x92ec14f1 _pthread_wqthread + 390
5 libSystem.B.dylib 0x92ec1336 start_wqthread + 30

Thread 2:
0 libSystem.B.dylib 0x92ec1182 workq_kernreturn + 10
1 libSystem.B.dylib 0x92ec1718 _pthread_wqthread + 941
2 libSystem.B.dylib 0x92ec1336 start_wqthread + 30

Thread 3:
0 libSystem.B.dylib 0x92e9b93a semaphore_timedwait_signal_trap + 10
1 libSystem.B.dylib 0x92ec9445 _pthread_cond_wait + 1066
2 libSystem.B.dylib 0x92f12710 pthread_cond_timedwait + 47
3 QtCore 0x012615e4 QWaitCondition::wait(QMutex*, unsigned long) + 244
4 net.vidalia-project.vidalia 0x00065735 UPNPControlThread::run() + 99
5 QtCore 0x012c4f9b QThreadPrivate::start(void*) + 187
6 libSystem.B.dylib 0x92ec8fbd _pthread_start + 345
7 libSystem.B.dylib 0x92ec8e42 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0x00000000 ebx: 0x1b32608b ecx: 0x00c3fceb edx: 0x00de4728
edi: 0x01a40dc0 esi: 0x01aa0db0 ebp: 0xbffff258 esp: 0xbffff258

ss: 0x0000001f efl: 0x00010282 eip: 0x2063d686 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

cr2: 0x00000004

Binary Images:

0x1000 - 0x457ff8 +net.vidalia-project.vidalia 0.2.7 (0.2.7) <E6B8FE73-A5B3-8AE5-854E-8423203809DA> /Applications/Vidalia.app/Contents/MacOS/Vidalia

0x4e3000 - 0xdcaff7 +QtGui ??? (???) <FDFADE60-B0D2-A3F4-1363-7091B67ACD4D> /Applications/Vidalia.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x10a3000 - 0x10f0fef +QtXml ??? (???) <18F73C94-7026-C3B6-B72C-BED6CCCB264E> /Applications/Vidalia.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml
0x1111000 - 0x11fefe3 +QtNetwork ??? (???) <83389D53-D2FC-DE38-2CC6-6615252033C7> /Applications/Vidalia.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork
0x1258000 - 0x1469fe7 +QtCore ??? (???) <E0A2423A-FE1F-25FF-3DF4-C481447824DF> /Applications/Vidalia.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore
0x150b000 - 0x1531fff libssl.0.9.7.dylib ??? (???) <924E1BF8-C24D-4A5C-3DB6-A85034392D19> /usr/lib/libssl.0.9.7.dylib
0x1540000 - 0x15f5fe7 libcrypto.0.9.7.dylib ??? (???) <39CDB041-9DF5-01B1-4B33-03EC4CCA40B3> /usr/lib/libcrypto.0.9.7.dylib
0x163b000 - 0x184cfe7 +QtCore ??? (???) <E0A2423A-FE1F-25FF-3DF4-C481447824DF> /Library/Frameworks/QtCore.framework/Versions/4/QtCore
0x19ed000 - 0x19fbfe7 libSimplifiedChineseConverter.dylib ??? (???) <4C9CC2D9-2F13-4465-5447-2516FCD9255B> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x1f00000 - 0x1f12ff7 libTraditionalChineseConverter.dylib ??? (???) <C4E0D62B-4D1A-8DAD-D10B-2C055AA0479C> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x1f30000 - 0x1f35fff +libqgif.dylib ??? (???) <6A05FA56-358A-6A05-CA6E-2A193BBC7079> /Developer/Applications/Qt/plugins/imageformats/libqgif.dylib
0x1f3a000 - 0x1f3fffb +libqico.dylib ??? (???) <8ADD5517-FE19-B0EE-C864-96EC810C5C96> /Developer/Applications/Qt/plugins/imageformats/libqico.dylib
0x1f45000 - 0x1f68ff3 +libqjpeg.dylib ??? (???) <11C15A74-0C05-A642-3112-CAAD7AD0AE36> /Developer/Applications/Qt/plugins/imageformats/libqjpeg.dylib
0x1f70000 - 0x1f73ff3 +libqsvg.dylib ??? (???) <3048B8E2-AE08-FBBF-040B-421C2456D0A9> /Developer/Applications/Qt/plugins/imageformats/libqsvg.dylib

0x1717b000 - 0x171c7fe3 +libqmng.dylib ??? (???) <92EDB602-04AF-2365-ADA9-DB10B0EAD285> /Developer/Applications/Qt/plugins/imageformats/libqmng.dylib
0x171d7000 - 0x17219fe3 +QtSvg ??? (???) <4D79415B-9C9B-2DBA-3B2D-551CF3C55D17> /Library/Frameworks/QtSvg.framework/Versions/4/QtSvg
0x1b257000 - 0x1b2a4fef +QtXml ??? (???) <18F73C94-7026-C3B6-B72C-BED6CCCB264E> /Library/Frameworks/QtXml.framework/Versions/4/QtXml
0x1b2c5000 - 0x1b312feb +libqtiff.dylib ??? (???) <F0D87B60-8D5E-3175-8968-8CD457EDA705> /Developer/Applications/Qt/plugins/imageformats/libqtiff.dylib
0x1b31e000 - 0x1b345ff7 +libqtaccessiblewidgets.dylib ??? (???) <A18C0F71-5542-73F0-93D4-9BE8F3954297> /Developer/Applications/Qt/plugins/accessible/libqtaccessiblewidgets.dylib
0x201d7000 - 0x20abeff7 +QtGui ??? (???) <FDFADE60-B0D2-A3F4-1363-7091B67ACD4D> /Library/Frameworks/QtGui.framework/Versions/4/QtGui
0x8fe00000 - 0x8fe4162b dyld 132.1 (???) <211AF0DD-42D9-79C8-BB6A-1F4BEEF4B4AB> /usr/lib/dyld
0x90003000 - 0x90046ff7 com.apple.NavigationServices 3.5.3 (181) <28CDD978-030E-7D4A-5334-874A8EBE6C29> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x900b8000 - 0x900b8ff7 com.apple.Accelerate.vecLib 3.5 (vecLib 3.5) <3E039E14-2A15-56CC-0074-EE59F9FBB913> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x900b9000 - 0x90420ff7 com.apple.QuartzCore 1.6.1 (227.8) <8B90AB08-46A4-1C5C-4E71-C6AB652477B9> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x905b8000 - 0x908d7fe7 com.apple.CoreServices.CarbonCore 861.2 (861.2) <A9077470-3786-09F2-E0C7-F082B7F97838> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x908d8000 - 0x908dbfe7 libmathCommon.A.dylib ??? (???) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x90914000 - 0x90932ff7 com.apple.CoreVideo 1.6.0 (43.1) <1FB01BE0-B013-AE86-A063-481BB547D2F5> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x90933000 - 0x90935ff7 libRadiance.dylib ??? (???) <462903E2-2E77-FAE5-4ED6-829AAB1980A4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x90969000 - 0x90979ff7 libsasl2.2.dylib ??? (???) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib
0x9097a000 - 0x90a27fe7 libobjc.A.dylib ??? (???) <DF8E4CFA-3719-3415-0BF1-E8C5E561C3B1> /usr/lib/libobjc.A.dylib
0x90a8c000 - 0x90a98ff7 libkxld.dylib ??? (???) <3D2C5BA3-6A8D-C861-B346-0E19942D9AF1> /usr/lib/system/libkxld.dylib
0x90b19000 - 0x90b5dfe7 com.apple.Metadata 10.6.2 (507.4) <DBCBAE7D-7B34-7806-C0B9-1E6E6D45562F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x90ba8000 - 0x90bcafef com.apple.DirectoryService.Framework 3.6 (621.1) <3ED4949F-9604-C109-6586-5CE5F421182B> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x90ed4000 - 0x90f38ffb com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x90f39000 - 0x90f6cff7 com.apple.AE 496.1 (496.1) <1AC75AE2-AF94-2458-0B94-C3BB0115BA4B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9141c000 - 0x9141cff7 com.apple.Accelerate 1.5 (Accelerate 1.5) <F642E7A0-3720-FA19-0190-E6DBD9EF2D9B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x9141d000 - 0x9141dff7 com.apple.ApplicationServices 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91421000 - 0x91433ff7 com.apple.MultitouchSupport.framework 204.9 (204.9) <B639F02B-33CC-150C-AE8C-1007EA7648F9> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x91434000 - 0x91449fff com.apple.ImageCapture 6.0 (6.0) <3F31833A-38A9-444E-02B7-17619CA6F2A0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9144a000 - 0x916acfe7 com.apple.security 6.1.1 (37594) <9AA7D9BF-852F-111F-68AD-65DD760D4DF3> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x916e4000 - 0x916e7ff7 libCoreVMClient.dylib ??? (???) <A89D7A78-8FB0-2BDF-30DB-A35E04A6186B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x91716000 - 0x9180afe7 libiconv.2.dylib ??? (???) <0C578460-3929-29DD-585A-DB1E0C977425> /usr/lib/libiconv.2.dylib
0x9180b000 - 0x9180eff7 libCGXType.A.dylib ??? (???) <483FCF1C-066B-D210-7355-ABC48CA9DB2F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x91a10000 - 0x91a1affb com.apple.speech.recognition.framework 3.11.1 (3.11.1) <EC0E69C8-A121-70E8-43CF-E6FC4C7779EC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x91b4d000 - 0x91b93ff7 libauto.dylib ??? (???) <85670A64-3B67-8162-D441-D8E0BE15CA94> /usr/lib/libauto.dylib
0x91b94000 - 0x91e04ffb com.apple.Foundation 6.6.1 (751.14) <CD815A50-BB33-5AA1-DD73-A5B07D394DDA> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x91e05000 - 0x91e21fe3 com.apple.openscripting 1.3.1 (???) <DA16DE48-59F4-C94B-EBE3-7FAF772211A2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x91e22000 - 0x91eb3fe7 com.apple.print.framework.PrintCore 6.1 (312.3) <6D4322AF-703C-CC19-77B4-53E6D3BB18D4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91ed2000 - 0x91edcff7 libGL.dylib ??? (???) <76A207FE-889A-CF1B-AF9A-795EEE5A463E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9218f000 - 0x92269ff3 com.apple.DesktopServices 1.5.3 (1.5.3) <DA02AC94-7B0C-BD75-2305-C46A307A5FB0> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9226a000 - 0x9226eff7 libGFXShared.dylib ??? (???) <79F4F60E-0A6D-CE9C-282E-FA85825449E3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x9226f000 - 0x922c0ff7 com.apple.HIServices 1.8.0 (???) <B8EC13DB-A81A-91BF-8C82-66E840C64C91> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x925bb000 - 0x92685fef com.apple.CoreServices.OSServices 352 (352) <D9F21CA4-EED0-705F-8F3C-F1322D114B52> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x92686000 - 0x92693ff7 com.apple.opengl 1.6.5 (1.6.5) <0AE8B897-8A80-2C14-D6FC-DC21AC423234> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x92694000 - 0x92aaaff7 libBLAS.dylib ??? (???) <C4FB303A-DB4D-F9E8-181C-129585E59603> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92c39000 - 0x92c3cffb com.apple.help 1.3.1 (41) <67F1F424-3983-7A2A-EC21-867BE838E90B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c44000 - 0x92cbefef com.apple.audio.CoreAudio 3.2.2 (3.2.2) <1F97B48A-327B-89CC-7C01-3865179716E0> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x92cbf000 - 0x92e9aff3 libType1Scaler.dylib ??? (???) <F9FEA41E-F079-87B8-04A9-7FF3B2931B79> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x92e9b000 - 0x9303ffeb libSystem.B.dylib ??? (???) <D45B91B2-2B4C-AAC0-8096-1FC48B7E9672> /usr/lib/libSystem.B.dylib
0x9308e000 - 0x9315ffe3 ColorSyncDeprecated.dylib ??? (???) <1CEB1F35-EF10-A63D-AD9E-D7BD391D4719> /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
0x93160000 - 0x93161ff7 com.apple.TrustEvaluationAgent 1.1 (1) <6C04C4C5-667E-2EBE-EB96-5B67BD4B2185> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x93162000 - 0x93193ff3 libTrueTypeScaler.dylib ??? (???) <6C8916A2-8F85-98E0-AAD5-0020C39C0FC9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x93194000 - 0x931bcff7 libxslt.1.dylib ??? (???) <769EF4B2-C1AD-73D5-AAAD-1564DAEA77AF> /usr/lib/libxslt.1.dylib
0x931bd000 - 0x931bfff7 com.apple.securityhi 4.0 (36638) <962C66FB-5BE9-634E-0810-036CB340C059> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x931c0000 - 0x931d4ffb com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <57DD5458-4F24-DA7D-0927-C3321A65D743> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9322e000 - 0x93a114b7 com.apple.CoreGraphics 1.536.12 (???) <263EB5FC-DEAD-7C5B-C486-EC86C173F952> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x93a39000 - 0x93ad5fe7 com.apple.ApplicationServices.ATS 4.1 (???) <EA26375D-8276-9671-645D-D28CAEC95292> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x93ad6000 - 0x93b30ff7 com.apple.framework.IOKit 2.0 (???) <1BE07087-27D5-0E62-F06B-007C2BED4073> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x93b31000 - 0x93b72ff7 libRIP.A.dylib ??? (???) <9F0ECE75-1F03-60E4-E29C-136A27C13F2E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x93b7e000 - 0x93b7eff7 com.apple.CoreServices 44 (44) <AC35D112-5FB9-9C8C-6189-5F5945072375> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93f33000 - 0x940aafef com.apple.CoreFoundation 6.6.1 (550.13) <AE9FC6F7-F0B2-DE58-759E-7DB89C021A46> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x940b2000 - 0x94132feb com.apple.SearchKit 1.3.0 (1.3.0) <9E18AEA5-F4B4-8BE5-EEA9-818FC4F46FD9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9413b000 - 0x94140ff7 com.apple.OpenDirectory 10.6 (10.6) <92582807-E8F3-3DD9-EB42-4195CFB754A1> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x94141000 - 0x9415cff7 libPng.dylib ??? (???) <3F8682CD-C05B-607D-96E7-767646C77DB8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9419e000 - 0x941d3ff7 libGLImage.dylib ??? (???) <A6007BF7-BF3C-96DC-C435-849C6B88C58A> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x941d4000 - 0x941dbfff com.apple.print.framework.Print 6.0 (237) <7A06B15C-B835-096E-7D96-C2FE8F0D21E1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9421d000 - 0x9427dfe7 com.apple.CoreText 3.1.0 (???) <79FD1B5C-2F93-4C5D-B07B-4DD9088E67DE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x94285000 - 0x943b1feb com.apple.audio.toolbox.AudioToolbox 1.6.2 (1.6.2) <9AAFDCBE-C68C-3BB3-8089-83CD2C0B4ED7> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x943b2000 - 0x943bcfe7 com.apple.audio.SoundManager 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x943e7000 - 0x94430fe7 libTIFF.dylib ??? (???) <5864AE5B-EAEB-F8B6-18FB-3D27B7895A4C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x9450d000 - 0x9451eff7 com.apple.LangAnalysis 1.6.6 (1.6.6) <7A3862F7-3730-8F6E-A5DE-8E2CCEA979EF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9451f000 - 0x94561fe7 libvDSP.dylib ??? (???) <8F8FFFB3-81E3-2969-5688-D5B0979182E6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x94562000 - 0x94562ff7 com.apple.vecLib 3.5 (vecLib 3.5) <17BEEF92-DF30-CD52-FD65-0B7B43B93617> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x94563000 - 0x94886fef com.apple.HIToolbox 1.6.2 (???) <E02640B9-7BC3-A4B4-6202-9E4127DDFDD6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9488f000 - 0x948b5fff com.apple.DictionaryServices 1.1.1 (1.1.1) <02709230-9B37-C743-6E27-3FCFD18211F8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x948d8000 - 0x949ceff7 libGLProgrammability.dylib ??? (???) <82D03736-D30C-C013-BBB1-20ED9687D47F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x94c4c000 - 0x94c60fe7 libbsm.0.dylib ??? (???) <14CB053A-7C47-96DA-E415-0906BA1B78C9> /usr/lib/libbsm.0.dylib
0x94c61000 - 0x94c85ff7 libJPEG.dylib ??? (???) <649E1974-A527-AC0B-B3F4-B4DC30484070> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x94d6f000 - 0x94ddeff7 libvMisc.dylib ??? (???) <59243A8C-2B98-3E71-8032-884D4853E79F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x94e61000 - 0x94f8ffe7 com.apple.CoreData 102.1 (250) <F33FF4A1-D7F9-4F6D-3153-E5F2588479EB> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x95008000 - 0x950b0ffb com.apple.QD 3.33 (???) <196CDBA6-5B87-2767-DD57-082D71B0A5C7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x9510c000 - 0x951c5fe7 libsqlite3.dylib ??? (???) <16CEF8E8-8C9A-94CD-EF5D-05477844C005> /usr/lib/libsqlite3.dylib
0x951c6000 - 0x951caff7 libGIF.dylib ??? (???) <83FB0DCC-355F-A930-E570-0BD95086CC59> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x951cb000 - 0x9520fff3 com.apple.coreui 2 (113) <D0FA9B36-3708-D5BF-0CC3-6CC1909BC8E6> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x95210000 - 0x9524affb libFontRegistry.dylib ??? (???) <72342297-E8D6-B071-A752-014134129282> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x9524b000 - 0x95256ff7 libCSync.A.dylib ??? (???) <9292E6E3-70C1-1DD7-4213-1044F0FA8381> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x95603000 - 0x956a0fe3 com.apple.LaunchServices 362 (362) <8BE1C1A1-BF71-CE07-F3FB-6057D47AF461> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x956a6000 - 0x956f6ff7 com.apple.framework.familycontrols 2.0 (2.0) <E6CAB425-3E40-65A3-0C23-150C26E9CBBF> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x957a0000 - 0x957a1ff7 com.apple.audio.units.AudioUnit 1.6.2 (1.6.2) <845D5E0D-870D-B7E8-AAC5-8364AC341AA1> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x957a2000 - 0x95850ff3 com.apple.ink.framework 1.3.1 (105) <CA3FBDC3-4BBA-7BD9-0777-A7B0751292CD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x958cb000 - 0x958d4ff7 com.apple.DiskArbitration 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x958d5000 - 0x958d9ff7 IOSurface ??? (???) <C11D3FF3-EB51-A07D-EF24-9C2004115724> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x958da000 - 0x95917ff7 com.apple.SystemConfiguration 1.10.1 (1.10.1) <BA676C76-6AAD-F630-626D-B9248535294D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x95a04000 - 0x95a04ff7 liblangid.dylib ??? (???) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib
0x95a05000 - 0x95a52feb com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0) <BF66BA5D-BBC8-78A5-DBE2-F9DE3DD1D775> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
0x969e2000 - 0x96a02fe7 com.apple.opencl 12 (12) <2DB56F60-577B-6724-5708-7B082F62CC0F> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x96c55000 - 0x96c8aff7 libcups.2.dylib ??? (???) <AFDC4D3C-0FF4-D459-B26C-4BA1093F9142> /usr/lib/libcups.2.dylib
0x974bf000 - 0x974d7ff7 com.apple.CFOpenDirectory 10.6 (10.6) <1537FB4F-C112-5D12-1E5D-3B1002A4038F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x97658000 - 0x97678fe7 libresolv.9.dylib ??? (???) <A48921CB-3FA7-3071-AF9C-2D86FB493A3A> /usr/lib/libresolv.9.dylib
0x97679000 - 0x97687fe7 libz.1.dylib ??? (???) <7B7A02AB-DA99-6180-880E-D28E4F9AA8EB> /usr/lib/libz.1.dylib
0x97688000 - 0x976d8fe7 libGLU.dylib ??? (???) <659ADCA2-10EC-59BD-1B0A-4928A965F1D1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x976d9000 - 0x97fb7ff7 com.apple.AppKit 6.6.3 (1038.25) <72A9AA47-8DCB-DB07-64F5-F837E98C62D8> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x97fce000 - 0x980d2fe7 libcrypto.0.9.8.dylib ??? (???) <2E58547A-91CC-4C1A-9FCC-DA7515FDB68A> /usr/lib/libcrypto.0.9.8.dylib
0x980d3000 - 0x9816bfe7 edu.mit.Kerberos 6.5.9 (6.5.9) <73EC847F-FF44-D542-2AD5-97F6C8D48F0B> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9818b000 - 0x98268ff7 com.apple.vImage 4.0 (4.0) <64597E4B-F144-DBB3-F428-0EC3D9A1219E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x98401000 - 0x98401ff7 com.apple.Carbon 150 (152) <608A04AB-F35D-D2EB-6629-16B88FB32074> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x98402000 - 0x984a9fe7 com.apple.CFNetwork 454.5 (454.5) <A7E78E62-0C59-CE57-73D2-C4E60527781C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x984b2000 - 0x98565fff libFontParser.dylib ??? (???) <FAD5E96D-CF93-CC86-6B30-A6594B930772> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x98757000 - 0x98858fe7 libxml2.2.dylib ??? (???) <B4C5CD68-405D-0F1B-59CA-5193D463D0EF> /usr/lib/libxml2.2.dylib
0x98859000 - 0x988c3fe7 libstdc++.6.dylib ??? (???) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib
0x988c4000 - 0x98cf9ff7 libLAPACK.dylib ??? (???) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x98cfa000 - 0x98da9ff3 com.apple.ColorSync 4.6.2 (4.6.2) <F3F097AC-FDB7-3357-C64F-E28BECF4C15F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x98daa000 - 0x98f66fef com.apple.ImageIO.framework 3.0.1 (3.0.1) <598CF4F9-7542-E1A7-26D2-584933497A2E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x99126000 - 0x991a8ffb SecurityFoundation ??? (???) <29C27E0E-B2B3-BF6B-B1F8-5783B8B01535> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9922e000 - 0x9923bff7 com.apple.NetFS 3.2.1 (3.2.1) <5E61A00B-FA16-9D99-A064-47BDC5BC9A2B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x9923c000 - 0x99242fff com.apple.CommonPanels 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x994b8000 - 0x9963afe7 libicucore.A.dylib ??? (???) <2B0182F3-F459-B452-CC34-46FE73ADE348> /usr/lib/libicucore.A.dylib
0xba900000 - 0xba916ff7 libJapaneseConverter.dylib ??? (???) <4FB5CEEB-8D3E-8C57-1718-81D7CAFBFE69> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe7 libKoreanConverter.dylib ??? (???) <A23F9980-5CC8-A44D-6FD6-DBFCBFF4FF28> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xffff0000 - 0xffff1fff libSystem.B.dylib ??? (???) <D45B91B2-2B4C-AAC0-8096-1FC48B7E9672> /usr/lib/libSystem.B.dylib

Thank you for the great work, and the timely response to my request to reopen this ticket.

-
ZachR.

comment:64 Changed 9 years ago by Sebastian

You have Qt installed. This is a known Vidalia bug. open Terminal.app,
and execute this command:

echo "[Paths] Plugins =" > /Applications/Vidalia.app/Contents/Resources/qt.conf

That should fix it.

comment:65 Changed 9 years ago by ZachR

Alright, all is now working. Thank you very much!

This ticket can be reclosed now.

Many thanks,
ZachR.

:D

comment:66 Changed 9 years ago by Sebastian

flyspray2trac: bug closed.

comment:67 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.